
Redmine - Patch #33007

Simplified Chinese translation update

2020-02-14 19:07 - Idea So

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Description

翻译了一下,看到没有其他内容了,但是我不会制作patch文件,还有要翻译的吗?

Related issues:

Copied to Redmine - Patch #33070: Simplified Chinese translation update for 4... Closed

Associated revisions

Revision 19548 - 2020-03-01 03:12 - Go MAEDA

Simplified Chinese translation update (#33007).

Patch by Idea So.

History

#1 - 2020-02-15 05:26 - Go MAEDA

Thank you for translating so many strings. I do appreciate your work.

I suggest the following changes against the translations. What do you think?

error_can_not_delete_auth_source: Change "此身份验证模式正在使用，不能删除。" to "此认证模式正在使用，不能删除。". It is because field_auth_source is already

translated as "认证模式"

text_login_required_html: Maybe "它们" is more appropriate than "他们" for this context？（sorry if "他们" is good. 我的中文水平很低)

error_spent_on_future_date, error_not_allowed_to_log_time_for_other_users, permission_log_time_for_other_users,

permission_import_time_entries, label_import_time_entries: Use "工时" instead of "时间" because the existing translations uses "工时" for "spent

time" or "time entry"

text_role_no_workflow, text_status_no_workflow: Use "工作流程" instead of "工作流" because the existing translations uses "工作流程" for "workflow"

label_open_trackers_description, text_select_apply_tracker: Use "跟踪标签" instead of "追踪" because the existing translations uses "跟踪标签"

label_updated_issues: The English text is note "Update issue" but "Updated issue". Do you think "更新问题" is OK? How about "更新的问题"?

text_avatar_server_config_html: "头像服务" is better than "角色服务". See the translation of setting_gravatar_enabled and setting_gravatar_default,

and see https://baike.baidu.com/item/Gravatar

label_issue_history_notes: Use "注释" instead of "说明" because field_notes is translated as "说明"

label_password_char_class_digits: Use "数字" instead of "位数" because must_contain_digits uses "数字".

#2 - 2020-02-15 20:49 - Idea So

- File zh.yml added

I am sorry that I did not have a deep understanding of the context, which resulted in some translation errors and inappropriate translation contents.

Your suggestion is very good, thank you very much, I have just made some changes.

#3 - 2020-02-16 13:14 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-02-17 07:39 - Idea So

Setting the target version to 4.2.0.

That means available?

#5 - 2020-02-25 07:07 - Mo Zhang

I agree. Just better Chinese translation.

#6 - 2020-03-01 03:19 - Go MAEDA
- Copied to Patch #33070: Simplified Chinese translation update for 4.1-stable added

#7 - 2020-03-01 03:23 - Go MAEDA

- Subject changed from 简体中文语言 zh.yml to  Simplified Chinese translation update

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version deleted (4.2.0)

Committed the patch. Thank you for your great work.

The updated translation will be available in Redmine 4.2.0 and 4.1.1.

#8 - 2020-05-31 10:06 - Go MAEDA

- Subject changed from  Simplified Chinese translation update to Simplified Chinese translation update

Files

zh.yml 56.3 KB 2020-02-14 Idea So

zh.yml 56.3 KB 2020-02-15 Idea So
